Bug 224260 - Sporadic crashes of X server on logoff
Sporadic crashes of X server on logoff
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-24 16:32 EST by Davide Bolcioni
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-06 18:27:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (50.60 KB, text/plain)
2007-01-24 16:32 EST, Davide Bolcioni
no flags Details
xorg.conf (2.58 KB, text/plain)
2007-01-24 16:34 EST, Davide Bolcioni
no flags Details

  None (edit)
Description Davide Bolcioni 2007-01-24 16:32:18 EST
Description of problem: Occasionally, when logging off, the X server would 
crash. This confuses kdm, but the host is otherwise fine and I can log in 
through ssh and kill kdm which then restarts OK.


Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.1.1-47.4.fc6

How reproducible:
It happens sporadically, about once in two or three days.

Steps to Reproduce:
1.
2.
3.
  
Actual results:
After logging off, the graphical screen is blank and kdm does not come up.

Expected results:
Being able to logon again after logoff.

Additional info: The problem also occurred under GNOME and with the version of
X.org preceding the updated version above. The video card is a Matrox G400.

In /var/log/messages, I see

Jan 24 20:58:40 camelot kdm: :0[5287]: IO Error in XOpenDisplay
Jan 24 20:58:40 camelot kdm[2356]: Display :0 cannot be opened
Jan 24 20:58:40 camelot kdm[2356]: Unable to fire up local display :0; 
disabling.
Comment 1 Davide Bolcioni 2007-01-24 16:32:19 EST
Created attachment 146462 [details]
Xorg.0.log
Comment 2 Davide Bolcioni 2007-01-24 16:34:47 EST
Created attachment 146463 [details]
xorg.conf

Note that I am not loading dri on purpose, used to experience crashes on my
Matrox when loading it.
Comment 3 Davide Bolcioni 2007-01-24 16:37:34 EST
This might be related to bug #216927 and bug #219249.
Comment 4 Mike Cohler 2007-01-30 15:40:07 EST
I am not sure if I am getting a related problem but recently I have been getting
periodic X crashes also.... the only relevant line in the messages file today was 

Jan 30 19:15:10 home1 kdm[12121]: Can't lock pid file /var/run/kdm.pid, 
another xdm is running (pid 2827)

This line was repeated a large number of times (Every few seconds) until I
logged in via ssh and shutdown the machine - I guess restarting kdm might have
been possible also.

I have also noticed that occasionally I have been logged off my KDE session
overnight - but X is still running and I can still log back in when that happens.

If there are other simple tests I can run if this happens again then please let
me know.

My hardware is a Dell Core Duo based machine with graphics from dmidecode as:
01:00.0 VGA compatible controller: ATI Technologies Inc RV380 [Radeon X600 (PCIE)]
01:00.1 Display controller: ATI Technologies Inc RV380 [Radeon X600]

All drivers are stock and am running the latest kernel - 2.6.19-1.2895.fc6

Comment 5 Mike Cohler 2007-02-25 05:34:18 EST
I have today been getting what appeared to be sporadic X crashes in that the
screensaver was frozen on the screen, the mouse could not intervene, and the
keyboard was frozen.  I found I could log in via ssh and saw that
ksolarwinds.kss was running as the screensaver.  Doing "killall ksolarwinds.kss"
killed the screensaver and returned the session to normal.

Perhaps this has a bearing on this bug?
Comment 6 Fedora Update System 2007-02-27 11:50:18 EST
xorg-x11-server-1.1.1-47.6.fc6 has been pushed for fc6, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 7 Mike Cohler 2007-02-28 06:28:26 EST
I am now running the following after today's updates
xorg-x11-server-utils-7.1-4.fc6
xorg-x11-server-Xnest-1.1.1-47.6.fc6
xorg-x11-server-Xorg-1.1.1-47.6.fc6
xorg-x11-server-Xvfb-1.1.1-47.6.fc6
xorg-x11-server-sdk-1.1.1-47.6.fc6

The problem remains.

There are no relevant messages in the logs that I can find. Again it was a gl
screensaver that crashed when trying to move the mouse to return to the kde
session.  Using ssh to login to the system and running "killall ksolarwinds.kss"
returned the session to normal.  So I am now sure that X itself had crashed but
the gl screensaver certainly had caused a problem.
Comment 8 Mike Cohler 2007-02-28 06:30:10 EST
Type - in comment #7 I should have said that was "I am not sure that X itself
had crashed" - even though the screensaver had hung the session.  Since merely
killing the screensaver returned the x session to normal.
Comment 9 Matěj Cepl 2007-03-01 17:50:49 EST
Mike, could you please file a separate bug for your issue, together with
/etc/X11/xorg.conf and /var/log/Xorg.0.log? Also could you try to run X without
any /etc/X11/xorg.conf whatsoever? What happens then (and attach the
/var/log/Xorg.0.log)? If you put all this information into new bug, that would
be most helpful.

Davide, could you also try to upgrade to the above-mentioned version of Xorg
packages and let us know, whether anything changes (and please attach also the
same what I just asked Mike to give us). Thanks a lot.
Comment 10 Mike Cohler 2007-03-02 03:18:54 EST
OK - created bug 230691.
Comment 11 Davide Bolcioni 2007-03-02 04:54:44 EST
I am currently running xorg-x11-server-1.1.1-47.6.fc6 on x86_64, a different 
host, and the problem does no longer occurs. I'll be testing the updated RPM 
on the original hardware (which I no longer use) over the weekend.
Comment 12 Davide Bolcioni 2007-03-06 11:52:45 EST
I have been unable to reproduce the original problem using 
xorg-x11-server-1.1.1-47.6.fc6 on the original host over the last three days. 
The problem occurred sporadically, but I dare say it was fixed.
Comment 13 Matěj Cepl 2007-03-06 18:27:22 EST
OK, let's try to fix it. If the problem occurs again, please reopen this bug and
add additional information.

Note You need to log in before you can comment on or make changes to this bug.